Page MenuHomePhabricator

[wmf.11] "Uncaught TypeError: Cannot read property 'css' of undefined" when topics are sorted on SD boards
Closed, ResolvedPublic

Description

The issue is present in betalabs too.

On a SD board click to sort topics - the Console will display

Uncaught TypeError: Cannot read property 'css' of undefined
 at OoUiMenuSelectWidget.OO.ui.mixin.FloatableElement.computePosition
 at OoUiMenuSelectWidget.OO.ui.mixin.ClippableElement.getHorizontalAnchorEdge
 at OoUiMenuSelectWidget.OO.ui.mixin.ClippableElement.clip

Note: If Dev tools panel is opened at the bottom of the page and a SD board is clicked, then moving the dividing line will cause numerous errors such as above.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2017, 9:54 PM

This is a regression from rGOJU42556397b792: ClippableElement: Allow clipping with top or left edge, breaking menus that have clipping enabled but positioning disabled (i.e. $floatableContainer is not set).

Change 398207 had a related patch set uploaded (by Catrope; owner: Catrope):
[oojs/ui@master] ClippableElement: Fix JS error when Floatable is mixed in but disabled

https://gerrit.wikimedia.org/r/398207

Change 398207 merged by jenkins-bot:
[oojs/ui@master] ClippableElement: Fix JS error when Floatable is mixed in but disabled

https://gerrit.wikimedia.org/r/398207

Change 398384 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] OOjs UI: Backport Iad4a2fd1bd985b4924e5ef1f822e1ea81ce0a988

https://gerrit.wikimedia.org/r/398384

matmarex triaged this task as High priority.Dec 14 2017, 11:00 PM
matmarex edited projects, added OOUI; removed Patch-For-Review.

Change 398384 merged by jenkins-bot:
[mediawiki/core@master] OOjs UI: Backport Iad4a2fd1bd985b4924e5ef1f822e1ea81ce0a988

https://gerrit.wikimedia.org/r/398384

Change 398386 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@wmf/1.31.0-wmf.11] OOjs UI: Backport Iad4a2fd1bd985b4924e5ef1f822e1ea81ce0a988

https://gerrit.wikimedia.org/r/398386

Change 398387 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@wmf/1.31.0-wmf.12] OOjs UI: Backport Iad4a2fd1bd985b4924e5ef1f822e1ea81ce0a988

https://gerrit.wikimedia.org/r/398387

Change 398387 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.12] OOjs UI: Backport Iad4a2fd1bd985b4924e5ef1f822e1ea81ce0a988

https://gerrit.wikimedia.org/r/398387

Change 398386 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.11] OOjs UI: Backport Iad4a2fd1bd985b4924e5ef1f822e1ea81ce0a988

https://gerrit.wikimedia.org/r/398386

Mentioned in SAL (#wikimedia-operations) [2017-12-15T00:25:06Z] <catrope@tin> Synchronized php-1.31.0-wmf.12/resources/lib/oojs-ui/oojs-ui-core.js: Backport OOjs UI fix for T182359, T182395 (duration: 00m 57s)

matmarex closed this task as Resolved.Dec 15 2017, 12:31 AM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

Fixed and deployed.

Change 399244 had a related patch set uploaded (by Bartosz Dziewoński; owner: Catrope):
[oojs/ui@v0.24.4] ClippableElement: Fix JS error when Floatable is mixed in but disabled

https://gerrit.wikimedia.org/r/399244

Change 399244 merged by jenkins-bot:
[oojs/ui@v0.24.4] ClippableElement: Fix JS error when Floatable is mixed in but disabled

https://gerrit.wikimedia.org/r/399244